## ros-melodic-mrpt-ekf-slam-3d 0.1.10

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 3.1)
project(mrpt_ekf_slam_3d)
#find catkin packages
find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  roslib
  roscpp
  tf
  std_msgs
  nav_msgs
  sensor_msgs
  visualization_msgs
  mrpt_bridge
  dynamic_reconfigure
  roslaunch)

#find mrpt packages
find_package(MRPT 1.5 REQUIRED gui obs slam)
message(STATUS "MRPT_VERSION: ${MRPT_VERSION}")

if (MRPT_VERSION VERSION_LESS "1.9.9")
  set (CMAKE_CXX_STANDARD 14)
	add_compile_options("-Wno-deprecated-declarations")
endif()
if (CMAKE_COMPILER_IS_GNUCXX)
	# High level of warnings.
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()

IF(CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_BUILD_TYPE MATCHES "Debug")
  add_compile_options(-O3)
ENDIF()

catkin_package(
    CATKIN_DEPENDS
		nav_msgs
    sensor_msgs
    std_msgs
    visualization_msgs
    )

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
#  ${Eigen_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS}
  include
)


IF(${MRPT_VERSION} LESS 1.5.0)
  MESSAGE(WARNING "Target mrpt_ekf_slam_3d will not be built. It requires MRPT version 1.5.0 or higher, but you have ${MRPT_VERSION}.")
else()

add_executable(mrpt_ekf_slam_3d
    src/mrpt_ekf_slam_3d.cpp
    src/mrpt_ekf_slam_3d_wrapper.cpp
    src/mrpt_ekf_slam_3d_app.cpp
)

TARGET_LINK_LIBRARIES(mrpt_ekf_slam_3d ${MRPT_LIBRARIES}
    ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS mrpt_ekf_slam_3d
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  launch
  tutorial
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############
# Add testing for *.launch files
roslaunch_add_file_check(launch)

endif()

=== debian/changelog ===
ros-melodic-mrpt-ekf-slam-3d (0.1.10-1stretch) stretch; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose Luis <jlblanco@ual.es>  Fri, 04 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.9-1stretch) stretch; urgency=high

  * Fix build against MRPT 1.9.9
  * Switch header guards to pragma once
  * Contributors: Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Sat, 13 Apr 2019 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.8-1stretch) stretch; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis <jlblanco@ual.es>  Thu, 20 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.7-1stretch) stretch; urgency=high



 -- Jose Luis <jlblanco@ual.es>  Wed, 19 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.6-1stretch) stretch; urgency=high

  * Fixed compilation with MRPT 1.5
  * fix build in mrpt 2.0
  * fix build; add optimized builds (-O3)
  * use consistent cmake conventions for c++14
  * Fixes and cleanups for config files
  * [mrpt_ekf_slam_3d] Update description and dependencies of package.xml
    Add test for *.launch files.
  * Move transforms to callbacks.
  * Define C++11 avoiding direct manipulation of CXX_FLAGS
  * catkin_lint error fixes
  * Contributors: Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Magnus Gärtner, Max Kuzmin, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.5-1stretch) stretch; urgency=high

  * Don't instruct cmake to search eigen3, mrpt has it
  * Fix cmakelists typo
  * avoid cmake errors if eigen is not found
  * Contributors: Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose Luis <jlblanco@ual.es>  Thu, 17 Nov 2016 23:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.3-1stretch) stretch; urgency=high

  * Avoid gcc warnings with MRPT < 2.0.0
  * fix build against mrpt < 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose Luis <jlblanco@ual.es>  Mon, 26 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.2-1stretch) stretch; urgency=high

  * Make formatting conform to ROS C++ Style Guide.
  * fix eigen3 dependency problem
  * Output logs only in ROS.
  * Add a guard for new mrpt_bridge::rosLoggerLvlToMRPTLoggerLvl and mrpt_bridge::mrptToROSLoggerCallback functions for MRPT version less than 1.5.0.
  * Add streaming of MRPT logs to ROS logs.
  * Contributors: Jose Luis Blanco, Logrus, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Fri, 23 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.1-1stretch) stretch; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Skip mrpt_ekf_slam_3d if version of MRPT is lower than 1.5.0.
  * Contributors: Jose Luis Blanco, Logrus

 -- Jose Luis <jlblanco@ual.es>  Sun, 21 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-mrpt-ekf-slam-3d
Section: misc
Priority: extra
Maintainer: Jose Luis <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-bridge, ros-melodic-mrpt1, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/mrpt_ekf_slam_3d
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-ekf-slam-3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-bridge, ros-melodic-mrpt-rawlog, ros-melodic-mrpt1, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Description: This package is a wrapper for the implementation of EKF-based SLAM with range-bearing sensors, odometry, a full 6D robot pose, and 3D landmarks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mrpt-ekf-slam-3d//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-mrpt-ekf-slam-3d 0.1.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,23 +7,24 @@
   cmake_modules
   roslib
   roscpp
-  tf
+  tf2
+  tf2_ros
+  tf2_geometry_msgs
   std_msgs
   nav_msgs
   sensor_msgs
   visualization_msgs
-  mrpt_bridge
   dynamic_reconfigure
-  roslaunch)
+  roslaunch
+  mrpt_msgs_bridge
+)
 
 #find mrpt packages
-find_package(MRPT 1.5 REQUIRED gui obs slam)
+find_package(mrpt-gui REQUIRED)
+find_package(mrpt-slam REQUIRED)
+find_package(mrpt-ros1bridge REQUIRED)
 message(STATUS "MRPT_VERSION: ${MRPT_VERSION}")
 
-if (MRPT_VERSION VERSION_LESS "1.9.9")
-  set (CMAKE_CXX_STANDARD 14)
-	add_compile_options("-Wno-deprecated-declarations")
-endif()
 if (CMAKE_COMPILER_IS_GNUCXX)
 	# High level of warnings.
 	# The -Wno-long-long is required in 64bit systems when including sytem headers.
@@ -40,12 +41,16 @@
 ENDIF()
 
 catkin_package(
-    CATKIN_DEPENDS
-		nav_msgs
+  CATKIN_DEPENDS
+    nav_msgs
     sensor_msgs
     std_msgs
     visualization_msgs
-    )
+    tf2
+    tf2_ros
+    tf2_geometry_msgs
+    mrpt_msgs_bridge
+)
 
 ###########
 ## Build ##
@@ -58,18 +63,17 @@
 )
 
 
-IF(${MRPT_VERSION} LESS 1.5.0)
-  MESSAGE(WARNING "Target mrpt_ekf_slam_3d will not be built. It requires MRPT version 1.5.0 or higher, but you have ${MRPT_VERSION}.")
-else()
-
 add_executable(mrpt_ekf_slam_3d
     src/mrpt_ekf_slam_3d.cpp
     src/mrpt_ekf_slam_3d_wrapper.cpp
     src/mrpt_ekf_slam_3d_app.cpp
 )
 
-TARGET_LINK_LIBRARIES(mrpt_ekf_slam_3d ${MRPT_LIBRARIES}
-    ${catkin_LIBRARIES}
+TARGET_LINK_LIBRARIES(mrpt_ekf_slam_3d
+  mrpt::gui
+  mrpt::slam
+  mrpt::ros1bridge
+  ${catkin_LIBRARIES}
 )
 
 #############
@@ -96,4 +100,3 @@
 # Add testing for *.launch files
 roslaunch_add_file_check(launch)
 
-endif()

=== debian/changelog ===
ros-melodic-mrpt-ekf-slam-3d (0.1.13-1bionic) bionic; urgency=high

  * Fix build against last mrpt 2.7.x
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 06 Apr 2023 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.12-1bionic) bionic; urgency=high



 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 24 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.11-1bionic) bionic; urgency=high

  * Ported to tf2 and mrpt::ros1bridge
  * Fixed all 2D and 3D EKF wrappers to work with mrpt 2.x API
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.10-1bionic) bionic; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose Luis <jlblanco@ual.es>  Fri, 04 Oct 2019 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.9-1bionic) bionic; urgency=high

  * Fix build against MRPT 1.9.9
  * Switch header guards to pragma once
  * Contributors: Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Sat, 13 Apr 2019 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.8-1bionic) bionic; urgency=high

  * Make catkin_lint clean
  * Contributors: Jose Luis Blanco Claraco

 -- Jose Luis <jlblanco@ual.es>  Thu, 20 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.7-1bionic) bionic; urgency=high



 -- Jose Luis <jlblanco@ual.es>  Wed, 19 Sep 2018 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.6-1bionic) bionic; urgency=high

  * Fixed compilation with MRPT 1.5
  * fix build in mrpt 2.0
  * fix build; add optimized builds (-O3)
  * use consistent cmake conventions for c++14
  * Fixes and cleanups for config files
  * [mrpt_ekf_slam_3d] Update description and dependencies of package.xml
    Add test for *.launch files.
  * Move transforms to callbacks.
  * Define C++11 avoiding direct manipulation of CXX_FLAGS
  * catkin_lint error fixes
  * Contributors: Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Magnus Gärtner, Max Kuzmin, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.5-1bionic) bionic; urgency=high

  * Don't instruct cmake to search eigen3, mrpt has it
  * Fix cmakelists typo
  * avoid cmake errors if eigen is not found
  * Contributors: Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose Luis <jlblanco@ual.es>  Thu, 17 Nov 2016 23:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.3-1bionic) bionic; urgency=high

  * Avoid gcc warnings with MRPT < 2.0.0
  * fix build against mrpt < 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose Luis <jlblanco@ual.es>  Mon, 26 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.2-1bionic) bionic; urgency=high

  * Make formatting conform to ROS C++ Style Guide.
  * fix eigen3 dependency problem
  * Output logs only in ROS.
  * Add a guard for new mrpt::ros1bridge::rosLoggerLvlToMRPTLoggerLvl and mrpt::ros1bridge::mrptToROSLoggerCallback functions for MRPT version less than 1.5.0.
  * Add streaming of MRPT logs to ROS logs.
  * Contributors: Jose Luis Blanco, Logrus, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Fri, 23 Sep 2016 22:00:00 -0000

ros-melodic-mrpt-ekf-slam-3d (0.1.1-1bionic) bionic; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Skip mrpt_ekf_slam_3d if version of MRPT is lower than 1.5.0.
  * Contributors: Jose Luis Blanco, Logrus

 -- Jose Luis <jlblanco@ual.es>  Sun, 21 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-mrpt-ekf-slam-3d
Section: misc
Priority: optional
Maintainer: Jose Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-msgs-bridge, ros-melodic-mrpt2, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/mrpt_ekf_slam_3d
Standards-Version: 3.9.2

Package: ros-melodic-mrpt-ekf-slam-3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-mrpt-msgs-bridge, ros-melodic-mrpt-rawlog, ros-melodic-mrpt2, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Description: This package is a wrapper for the implementation of EKF-based SLAM with range-bearing sensors, odometry, a full 6D robot pose, and 3D landmarks.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
